---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libNativeMethodsTestThread.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_VoidMethod, symObjAddr: 0x0, symBinAddr: 0x23DC, symSize: 0xC4 }
  - { offsetInCU: 0x49CC, offset: 0x49CC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_VoidMethod, symObjAddr: 0x0, symBinAddr: 0x23DC, symSize: 0xC4 }
  - { offsetInCU: 0x4B7D, offset: 0x4B7D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x1820, symBinAddr: 0x3BFC, symSize: 0x30 }
  - { offsetInCU: 0x4C5E, offset: 0x4C5E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_BooleanMethod, symObjAddr: 0xC4, symBinAddr: 0x24A0, symSize: 0x104 }
  - { offsetInCU: 0x4F23, offset: 0x4F23, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_ByteMethod, symObjAddr: 0x1C8, symBinAddr: 0x25A4, symSize: 0x104 }
  - { offsetInCU: 0x51E8, offset: 0x51E8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_ShortMethod, symObjAddr: 0x2CC, symBinAddr: 0x26A8, symSize: 0x104 }
  - { offsetInCU: 0x54AD, offset: 0x54AD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_CharMethod, symObjAddr: 0x3D0, symBinAddr: 0x27AC, symSize: 0x104 }
  - { offsetInCU: 0x5772, offset: 0x5772, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_IntMethod, symObjAddr: 0x4D4, symBinAddr: 0x28B0, symSize: 0x104 }
  - { offsetInCU: 0x5A37, offset: 0x5A37, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_LongMethod, symObjAddr: 0x5D8, symBinAddr: 0x29B4, symSize: 0x104 }
  - { offsetInCU: 0x5CFC, offset: 0x5CFC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_FloatMethod, symObjAddr: 0x6DC, symBinAddr: 0x2AB8, symSize: 0x104 }
  - { offsetInCU: 0x5FC1, offset: 0x5FC1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_DoubleMethod, symObjAddr: 0x7E0, symBinAddr: 0x2BBC, symSize: 0x104 }
  - { offsetInCU: 0x6286, offset: 0x6286, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_ObjectArrayMethod, symObjAddr: 0x8E4, symBinAddr: 0x2CC0, symSize: 0x104 }
  - { offsetInCU: 0x651F, offset: 0x651F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_StringMethod, symObjAddr: 0x9E8, symBinAddr: 0x2DC4, symSize: 0x104 }
  - { offsetInCU: 0x67B8, offset: 0x67B8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_ThreadMethod, symObjAddr: 0xAEC, symBinAddr: 0x2EC8, symSize: 0x104 }
  - { offsetInCU: 0x6A51, offset: 0x6A51, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_ThreadGroupMethod, symObjAddr: 0xBF0, symBinAddr: 0x2FCC, symSize: 0x104 }
  - { offsetInCU: 0x6CEA, offset: 0x6CEA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_ClassObjectMethod, symObjAddr: 0xCF4, symBinAddr: 0x30D0, symSize: 0x104 }
  - { offsetInCU: 0x6F85, offset: 0x6F85, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_ClassLoaderMethod, symObjAddr: 0xDF8, symBinAddr: 0x31D4, symSize: 0x104 }
  - { offsetInCU: 0x7228, offset: 0x7228, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_ObjectMethod, symObjAddr: 0xEFC, symBinAddr: 0x32D8, symSize: 0x104 }
  - { offsetInCU: 0x74CB, offset: 0x74CB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_BooleanWrapperMethod, symObjAddr: 0x1000, symBinAddr: 0x33DC, symSize: 0x104 }
  - { offsetInCU: 0x776E, offset: 0x776E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_ByteWrapperMethod, symObjAddr: 0x1104, symBinAddr: 0x34E0, symSize: 0x104 }
  - { offsetInCU: 0x7A11, offset: 0x7A11, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_ShortWrapperMethod, symObjAddr: 0x1208, symBinAddr: 0x35E4, symSize: 0x104 }
  - { offsetInCU: 0x7CB4, offset: 0x7CB4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_CharWrapperMethod, symObjAddr: 0x130C, symBinAddr: 0x36E8, symSize: 0x104 }
  - { offsetInCU: 0x7F57, offset: 0x7F57, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_IntWrapperMethod, symObjAddr: 0x1410, symBinAddr: 0x37EC, symSize: 0x104 }
  - { offsetInCU: 0x81FA, offset: 0x81FA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_LongWrapperMethod, symObjAddr: 0x1514, symBinAddr: 0x38F0, symSize: 0x104 }
  - { offsetInCU: 0x849D, offset: 0x849D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_FloatWrapperMethod, symObjAddr: 0x1618, symBinAddr: 0x39F4, symSize: 0x104 }
  - { offsetInCU: 0x8740, offset: 0x8740, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jpda_NativeMethodsTestThread_DoubleWrapperMethod, symObjAddr: 0x171C, symBinAddr: 0x3AF8, symSize: 0x104 }
...
